+ Reply
Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: How to find out if factory unlock is present?

is a discussion within the

Unlocking / Activation

forums, a part of the

iPhone Modding

section;
I have 2 questions.. 1) Is there any way to find out if my iPhone 4 has a factory unlock? I bought it used about a year ago.. but it
...
  1. #1
    What's Jailbreak?
    Join Date
    May 2011
    Posts
    13
    Thanks
    11
    Thanked 0 Times in 0 Posts

    Red face How to find out if factory unlock is present?
    I have 2 questions..

    1) Is there any way to find out if my iPhone 4 has a factory unlock? I bought it used about a year ago.. but it was already jailbroken.

    iOS 4.0.2
    Model MC319LL
    Bootstrap 01.59.00

    2) I want to upgrade to 4.3.1 on my iPhone 4 with jailbreak and (possibly) unlock. Can I use Sn0wbreeze to do this? Will upgrading to 4.3.1 remove any possibilities for be to possibly unlock?

    Thanks!

  2. #2
    Green Apple
    Join Date
    Dec 2010
    Posts
    77
    Thanks
    0
    Thanked 10 Times in 9 Posts

    Uninstall ultrasn0w, and if you aren't able to use your carrier of choice on your iphone without it, then it's locked. You can just re-install it to regain service.

    If you can use any carrier you want without ultrasn0w, its factory unlocked. Very unlikely though since you say it is already jailbroken. And about the sn0wbreeze thing, use it to create a custom IPSW. What it does is prevent your 1.59.00 from being updated. With the custom ipsw you can be on 4.3.1 while jailbroken and unlocked.

    I've done it myself and it worked flawlessly, if you need any help just ask here.

  3. The Following User Says Thank You to Wesss For This Useful Post:

    mrzuzzo (05-18-2011)

  4. #3
    What's Jailbreak?
    Join Date
    May 2011
    Posts
    13
    Thanks
    11
    Thanked 0 Times in 0 Posts

    Thanks Wes, that worked flawlessly. Turned out that my iPhone 4 is not simfree..

    So now I want to upgrade to 4.3.1.

    Where do I get the custom IPSW? Do I just download the IPSW then use iTunes to load it onto my phone or do I still need to use something like sn0wbreeze with it?

    Thanks!

  5. #4
    My iPhone is a Part of Me Jay316's Avatar
    Join Date
    Apr 2008
    Location
    UK
    Posts
    513
    Thanks
    4
    Thanked 33 Times in 23 Posts

    Bootstrap lol
    16GB iPhone 4
    160GB Black iPod Classic

    Sold
    16GB iPhone 3GS
    60GB iPod Classic
    80GB iPod Classic

    Broke
    120GB iPod Classic
    16GB iPhone

  6. #5
    Green Apple
    Join Date
    Dec 2010
    Posts
    77
    Thanks
    0
    Thanked 10 Times in 9 Posts

    You need to use the latest version of sn0wbreeze. (found here: Hotfile.com: One click file hosting: sn0wbreeze-v2.7.3.zip)

    and use it with an original 4.3.1 IPSW to create a custom one. original ipsw's can be found here (iPod, iPhone and iPad Firmware Download)

    I don't think 4.3.1 is still being signed, but you can still use 4.3.2/4.3.3 ipsws and still keep your iphone unlocked & jailbroken.

  7. The Following User Says Thank You to Wesss For This Useful Post:

    mrzuzzo (05-18-2011)

  8. #6
    What's Jailbreak?
    Join Date
    May 2011
    Posts
    13
    Thanks
    11
    Thanked 0 Times in 0 Posts

    Great, thanks.

    So I can use ultrasn0w with any version of iOS as long as the baseband is 1.59.00. And sn0wbreeze will let me compile a custom IPSW with 1.59.00 baseband yet 4.3.3 iOS?

  9. #7
    My iPhone is a Part of Me
    Join Date
    Sep 2007
    Posts
    850
    Thanks
    9
    Thanked 51 Times in 47 Posts

    Quote Originally Posted by mrzuzzo View Post
    Great, thanks.

    So I can use ultrasn0w with any version of iOS as long as the baseband is 1.59.00. And sn0wbreeze will let me compile a custom IPSW with 1.59.00 baseband yet 4.3.3 iOS?
    Yes.. depends what tiny umbrella says, you may not be able to revert to an older iOS version. But save your shsh blobs with tiny umbrella to find out. let's say your wanted to try 4.2.1 and then 4.3.3. going to a custom 4.33 bb 1.5.9 is fine. But unless iTunes is still signing 4.21, you can't downgrade. so having your shsh blobs will allow you to use these iOS versions.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts